LOOK(1)

NAME
look - display lines beginning with a given string

SYNOPSIS
look [-df] [-t termchar] string [file]

DESCRIPTION
The look utility displays any lines in file which contain string as a prefix. As look performs a binary search, the lines in file must be sorted.

If file is not specified, the file /usr/share/dict/words is used. Only alphanumeric characters are compared and the case of alphabetic characters is ignored.

The options are as follows:

-d  Dictionary character set and order, i.e., only alphanumeric characters are compared.

-f  Ignore the case of alphabetic characters.

-t termchar
    Specify a string termination character, i.e., only the characters in string up to and including the first occurrence of termchar are compared.

FILES
/usr/share/dict/words
    the dictionary

EXIT STATUS
The look utility exits 0 if one or more lines were found and displayed, 1 if no lines were found, or 1 if an error occurred.

SEE ALSO
grep(1), sort(1)

STANDARDS
The original manual page stated that tabs and blank characters participated in comparisons when the -d option was specified. This was incorrect and the current man page matches the historic implementation.

HISTORY
The look command appeared in AT&T UNIX.